Subject: Re: [PATCH 5/7] ip-route: don't hide routes with RTM_F_CLONED by default

From: Pavel Šimerda <[email-masked]>
Date: Mon, 11 May 2015 19:48:28 +0200

On 05/04/2015 08:37 PM, David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Mon, 4 May 2015 08:37:51 -0700
> 
>> On Mon, 13 Apr 2015 16:00:59 +0200
>> Pavel Šimerda <[email-masked]> wrote:
>>
>>> From: Pavel Šimerda <[email-masked]>
>>>
>>> Signed-off-by: Pavel Šimerda <[email-masked]>
>>> ---
>>>  ip/iproute.c | 2 +-
>>>  1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> I understand your concern, and it probably was a poor design choice initially.
>>
>> Since this will change the output for the default case, it will upset some
>> peoples expectations and potentially break scripts that screen scrape the output
>> of ip commands. Therefore I can't accept it at this time.
>>
>> Sorry for the delay, but I thought someone else would add more comments.
>> Perhaps if you explained in more detail the motivation of why this is an
>> important problem I would reconsider change the behavior.

Hi,

I have no specific concern right now.

> We definitely need to report routes created by caching/cloning separately
> from the main FIB entries.
> 
> And I agree that even if we wanted to change behavior, the horse has
> already left the barn on this one and therefore there is no way we can
> change this now.

For now I treat the patch as rejected by upstream and as I'm not aware
of a specific concern for Fedora, I'm also dropping the patch from the
development branch[1]. Thank you for accepting other patches.

My plan is to submit new patches for requests coming from Fedora and
RHEL distributions and also resubmit the manpage patches with new
changes and split by command/subcommand.

Cheers,

Pavel

[1]:
http://pkgs.fedoraproject.org/cgit/iproute.git/commit/?id=f0557f39740b5c18f07b2caf634eb073ba19484f